org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance.SwimlaneContextInstance

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessage
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.SwimlaneContextInstance

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder
  Enclosing class:
    JBPMMessages.ProcessInstance

      public static final class JBPMMessages.ProcessInstance.SwimlaneContextInstance
      extends com.google.protobuf.GeneratedMessage
      implements JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` Protobuf type `org.jbpm.marshalling.ProcessInstance.SwimlaneContextInstance`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessage

      `com.google.protobuf.GeneratedMessage.BuilderParent, com.google.protobuf.GeneratedMessage.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessage.ExtendableBuilder>, com.google.protobuf.GeneratedMessage.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessage.ExtendableMessage>, com.google.protobuf.GeneratedMessage.FieldAccessorTable, com.google.protobuf.GeneratedMessage.GeneratedExtension<ContainingType extends com.google.protobuf.Message,Type>`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACTOR_ID_FIELD_NUMBER`
    `static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.SwimlaneContextInstance>` | `PARSER`
    `static int` | `SWIMLANE_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessage

      `alwaysUseFieldBuilders`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActorId()` `optional string actor_id = 2;`
    `com.google.protobuf.ByteString` | `getActorIdBytes()` `optional string actor_id = 2;`
    `static JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `getDefaultInstance()`
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `com.google.protobuf.Parser<JBPMMessages.ProcessInstance.SwimlaneContextInstance>` | `getParserForType()`
    `int` | `getSerializedSize()`
    `String` | `getSwimlane()` `optional string swimlane = 1;`
    `com.google.protobuf.ByteString` | `getSwimlaneBytes()` `optional string swimlane = 1;`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `boolean` | `hasActorId()` `optional string actor_id = 2;`
    `boolean` | `hasSwimlane()` `optional string swimlane = 1;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `newBuilder()`
    `static JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `newBuilder(JBPMMessages.ProcessInstance.SwimlaneContextInstance prototype)`
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `newBuilderForType()`
    `protected JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)`
    `static JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `parseDelimitedFrom(InputStream input)`
    `static JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `parseFrom(byte[] data)`
    `static JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `parseFrom(com.google.protobuf.ByteString data)`
    `static JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `parseFrom(InputStream input)`
    `static JBPMMessages.ProcessInstance.SwimlaneContextInstance` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder` | `toBuilder()`
    `protected Object` | `writeReplace()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage

      `getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, makeExtensionsImmutable, newFileScopedGeneratedExtension, newFileScopedGeneratedExtension, newMessageScopedGeneratedExtension, newMessageScopedGeneratedExtension, parseUnknownField`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `equals, findInitializationErrors, getInitializationErrorString, hashCode, hashFields, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### PARSER

          public static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.SwimlaneContextInstance> PARSER

    - #### SWIMLANE_FIELD_NUMBER

          public static final int SWIMLANE_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ACTOR_ID_FIELD_NUMBER

          public static final int ACTOR_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getDefaultInstance

          public static JBPMMessages.ProcessInstance.SwimlaneContextInstance getDefaultInstance()

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance.SwimlaneContextInstance getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessage`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage`

    - #### getParserForType

          public com.google.protobuf.Parser<JBPMMessages.ProcessInstance.SwimlaneContextInstance> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessage`

    - #### hasSwimlane

          public boolean hasSwimlane()

      `optional string swimlane = 1;`
      Specified by:
        `hasSwimlane` in interface `JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder`

    - #### getSwimlane

          public String getSwimlane()

      `optional string swimlane = 1;`
      Specified by:
        `getSwimlane` in interface `JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder`

    - #### getSwimlaneBytes

          public com.google.protobuf.ByteString getSwimlaneBytes()

      `optional string swimlane = 1;`
      Specified by:
        `getSwimlaneBytes` in interface `JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder`

    - #### hasActorId

          public boolean hasActorId()

      `optional string actor_id = 2;`
      Specified by:
        `hasActorId` in interface `JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder`

    - #### getActorId

          public String getActorId()

      `optional string actor_id = 2;`
      Specified by:
        `getActorId` in interface `JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder`

    - #### getActorIdBytes

          public com.google.protobuf.ByteString getActorIdBytes()

      `optional string actor_id = 2;`
      Specified by:
        `getActorIdBytes` in interface `JBPMMessages.ProcessInstance.SwimlaneContextInstanceOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.AbstractMessage`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.AbstractMessage`

    - #### writeReplace

          protected Object writeReplace()
                                 throws ObjectStreamException

      Overrides:
        `writeReplace` in class `com.google.protobuf.GeneratedMessage`
      Throws:
        `ObjectStreamException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.SwimlaneContextInstance parseFrom(com.google.protobuf.ByteString data)
                                                                                throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.SwimlaneContextInstance parseFrom(com.google.protobuf.ByteString data,
                                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.SwimlaneContextInstance parseFrom(byte[] data)
                                                                                throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.SwimlaneContextInstance parseFrom(byte[] data,
                                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.SwimlaneContextInstance parseFrom(InputStream input)
                                                                                throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.SwimlaneContextInstance parseFrom(InputStream input,
                                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessInstance.SwimlaneContextInstance parseDelimitedFrom(InputStream input)
                                                                                         throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessInstance.SwimlaneContextInstance parseDelimitedFrom(InputStream input,
                                                                                                com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                         throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.SwimlaneContextInstance parseFrom(com.google.protobuf.CodedInputStream input)
                                                                                throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.SwimlaneContextInstance parseFrom(com.google.protobuf.CodedInputStream input,
                                                                                       com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                throws IOException

      Throws:
        `IOException`

    - #### newBuilder

          public static JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder newBuilder()

    - #### newBuilderForType

          public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder newBuilder(JBPMMessages.ProcessInstance.SwimlaneContextInstance prototype)

    - #### toBuilder

          public JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected JBPMMessages.ProcessInstance.SwimlaneContextInstance.Builder newBuilderForType(com.google.protobuf.GeneratedMessage.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessage`

Copyright © 2001–2017 JBoss by Red Hat. All rights reserved.